play.libs

## Class F.E3<A,B,C>

- java.lang.Object
- - play.libs.F.E3<A,B,C>

- Enclosing class:
    F

      public static class F.E3<A,B,C>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `F.Option<A>` | `_1`
    `F.Option<B>` | `_2`
    `F.Option<C>` | `_3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A,B,C> F.E3<A,B,C>` | `_1(A value)`
    `static <A,B,C> F.E3<A,B,C>` | `_2(B value)`
    `static <A,B,C> F.E3<A,B,C>` | `_3(C value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _1

          public final F.Option<A> _1

    - #### _2

          public final F.Option<B> _2

    - #### _3

          public final F.Option<C> _3

  - ### Method Detail

    - #### _1

          public static <A,B,C> F.E3<A,B,C> _1(A value)

    - #### _2

          public static <A,B,C> F.E3<A,B,C> _2(B value)

    - #### _3

          public static <A,B,C> F.E3<A,B,C> _3(C value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly